###//%define _disable_ld_no_undefined 1
%define	name	uptimed
%define	version	0.3.16
%define	release	%mkrel 2

%define	major 0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A daemon to record and keep track of system uptimes
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Monitoring
URL:		http://podgorny.cz/moin/Uptimed
Source0:	http://podgorny.cz/uptimed/releases/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Patch0:		uptimed-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Uptimed is an uptime record daemon keeping track of the highest 
uptimes the system ever had. Instead of using a pid file to 
keep sessions apart from each other, it uses the system boot 
time. 

Uptimed has the ability to inform you of records and milestones 
though syslog and e-mail, and comes with a console front end to 
parse the records, which can also easily be used to show your 
records on your Web page.

%package -n %{libname}
Summary:	Generic libraries need by uptimed
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Generic libraries needed by uptimed.

%package -n %{develname}
Summary:	Generic libraries need by uptimed
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
Development files for uptimed.

%prep
%setup -q
%patch0 -p0 -b .makefile
cp -a %{SOURCE1} .

# this was faster, and easier...
touch NEWS

%build
./bootstrap.sh

%configure --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

install -m755 uptimed.init -D %{buildroot}%{_initrddir}/uptimed
mv %{buildroot}%{_sysconfdir}/uptimed.conf-dist %{buildroot}%{_sysconfdir}/uptimed.conf

%post
install -m 755 -d %{_var}/spool/uptimed
%_post_service uptimed

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%preun
%_preun_service uptimed

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL.cgi INSTALL.upgrade README TODO sample-cgi/
%config(noreplace) %{_sysconfdir}/uptimed.conf
%{_initrddir}/uptimed
%{_sbindir}/uptimed
%{_bindir}/uprecords
%{_mandir}/*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libuptimed.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libuptimed.so
%{_libdir}/libuptimed.la


%changelog
* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.16-2mdv2011.0
+ Revision: 615365
- the mass rebuild of 2010.1 packages

* Tue Mar 09 2010 Tomas Kindl <supp@mandriva.org> 0.3.16-1mdv2010.1
+ Revision: 516812
- bump to 0.3.16

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 07 2007 Funda Wang <fwang@mandriva.org> 0.3.12-2mdv2008.1
+ Revision: 106699
- rebuild for new lzma

* Fri Nov 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.12-1mdv2008.1
+ Revision: 104847
- fix file list
- rework patch 0
- new license policy
- new devel library policy
- new version


* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.10-1mdv2007.0
+ Revision: 123641
- new version

  + Lenny Cartier <lenny@mandriva.com>
    - Import uptimed

* Tue Jul 18 2006 Anssi Hannula <anssi@mandriva.org> 0.3.7-1mdv2007.0
- 0.3.7
- update url
- mkrel
- initscript as source, not as a patch
- parallelize initscript
- drop modifying rc.sysinit, use locks in initscript instead
- initscript is not config file
- use %%_post_service and %%_preun_service
- drop unuseful documentation
- patch Makefile.am instead of .in and use automake

* Mon Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.3.3-2mdk
- fixed requires-on-release

* Wed Jun 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-1mdk
- New release 0.3.2
- cosmetics

